#!/bin/bash
red='\033[0;31m'
green='\033[0;32m'
yellow='\033[0;33m'
plain='\033[0m'
arch=$(dpkg --print-architecture)
if [[ ${arch} == 'arm64' ]] ;then
echo -e "\033[32m   正在加载脚本请稍候... \033[0m"
sleep 3s;
echo
clear
echo -e "\033[32m   —— —— —— —— —— —— —— —— —— —— —— \033[0m"
echo -e "\033[32m |   欢迎使用frpc一键配置脚本       |\033[0m"
echo -e "\033[32m |    正在加载脚本，请稍后...       |\033[0m"
echo -e "\033[32m |      只适用于arm64架构           | \033[0m"
echo -e "\033[32m |      请勿重复安装！！！          |\033[0m"
echo -e "\033[32m |       ----author:云梦            |\033[0m"
echo -e "\033[32m   —— —— —— —— —— —— —— —— —— —— —— \033[0m"
read -p "如需安装安装frpc请输入1，如编辑frpc配置文件请输入2，运行frpc请输入3，卸载frpc请输入4:"  SIGN
if [ "$SIGN" = "1" ];then
        echo -e "\033[32m正在为您下载压缩包请稍后...\033[0m"
        sleep 3s;
        #下载客户端 客户端配置文件 服务文件
        wget -N --no-check-certificate https://download.fnmqs.work/frpc/frpc_linux_arm64.tar.gz
        echo -e "\033[32m已下载好压缩包请稍后...\033[0m"
        sleep 1s;
        echo -e "\033[32m正在解压中...\033[0m"
        sleep 1s;
        #解压资源 
        tar -zxvf frpc_linux_arm64.tar.gz
        echo -e "\033[32m 解压成功，清理无用文件中... \033[0m"
        #删除无用资源
        rm -rf frpc_linux_arm64.tar.gz
        echo -e "\033[32m正在创建frp运行目录中...\033[0m"
        sleep 1s;
        #创建/frp目录
        mkdir /frp
        echo -e "\033[32m创建成功！正在移动文件到新的目录\033[0m"
        sleep 1s;
        #将客户端移动至指定目录
        mv frpc /frp
        #将客户端配置文件移动至指定目录
        mv frpc.ini /frp
        #将服务文件移动至服务文件夹
        mv frpc.service /lib/systemd/system
    elif [ "$SIGN" == "2" ];then
        echo -e "\033[32m编辑后请保存，正在加载中... \033[0m"
        sleep 2s;
        cd /frp
        nano frpc.ini
    elif [ "$SIGN" == "3" ];then
        echo -e "\033[32m正在启动frpc... \033[0m"
        echo -e "\033[32m正在设置文件权限... \033[0m"
        chmod -R 777 /frp
        sleep 3s;
        #重载服务
        systemctl daemon-reload
        #设置开机自动启动
        sudo systemctl enable frpc
        #开启
        sudo systemctl start frpc
        sleep 3s
        echo -e "\033[32m启动成功！ \033[0m"
    elif [ "$SIGN" == "4" ];then
        echo -e "\033[32m即将为您卸载所有组件... \033[0m"
        sleep 3s;
        rm -rf /lib/systemd/system/frpc.service
        rm -rf /frp/frpc
        rm -rf /frp/frpc.ini
        sleep 3s;
        echo -e "\033[32m请手动重启服务器 \033[0m"
    else
    echo -e "\033[1;5;31m 输入错误，请重新执行脚本！！！ \033[0m";
    exit;
    fi

elif [[ ${arch} == 'amd64' ]] ;then
echo -e "\033[32m   正在加载脚本请稍候... \033[0m"
sleep 3s;
echo
clear
echo -e "\033[32m   —— —— —— —— —— —— —— —— —— —— —— \033[0m"
echo -e "\033[32m |   欢迎使用frpc一键配置脚本       |\033[0m"
echo -e "\033[32m |    正在加载脚本，请稍后...       |\033[0m"
echo -e "\033[32m |      只适用于amd64架构           | \033[0m"
echo -e "\033[32m |      请勿重复安装！！！          |\033[0m"
echo -e "\033[32m |       ----author:云梦            |\033[0m"
echo -e "\033[32m   —— —— —— —— —— —— —— —— —— —— —— \033[0m"
read -p "如需安装安装frpc请输入1，如编辑frpc配置文件请输入2，运行frpc请输入3，卸载frpc请输入4:"  SIGN
if [ "$SIGN" = "1" ];then
        echo -e "\033[32m正在为您下载压缩包请稍后...\033[0m"
        sleep 3s;
        #下载客户端 客户端配置文件 服务文件
        wget -N --no-check-certificate https://download.fnmqs.work/frpc/frpc_linux_amd64.tar.gz
        echo -e "\033[32m已下载好压缩包请稍后...\033[0m"
        sleep 1s;
        echo -e "\033[32m正在解压中...\033[0m"
        sleep 1s;
        #解压资源 
        tar -zxvf frpc_linux_amd64.tar.gz
        echo -e "\033[32m 解压成功，清理无用文件中... \033[0m"
        #删除无用资源
        rm -rf frpc_linux_amd64.tar.gz
        echo -e "\033[32m正在创建frp运行目录中...\033[0m"
        sleep 1s;
        #创建/frp目录
        mkdir /frp
        echo -e "\033[32m创建成功！正在移动文件到新的目录\033[0m"
        sleep 1s;
        #将客户端移动至指定目录
        mv frpc /frp
        #将客户端配置文件移动至指定目录
        mv frpc.ini /frp
        #将服务文件移动至服务文件夹
        mv frpc.service /lib/systemd/system
    elif [ "$SIGN" == "2" ];then
        echo -e "\033[32m编辑后请保存，正在加载中... \033[0m"
        sleep 2s;
        cd /frp
        nano frpc.ini
    elif [ "$SIGN" == "3" ];then
        echo -e "\033[32m正在启动frpc... \033[0m"
        echo -e "\033[32m正在设置文件权限... \033[0m"
        chmod -R 777 /frp
        sleep 3s;
        #重载服务
        systemctl daemon-reload
        #设置开机自动启动
        sudo systemctl enable frpc
        #开启
        sudo systemctl start frpc
        sleep 3s
        echo -e "\033[32m启动成功！ \033[0m"
    elif [ "$SIGN" == "4" ];then
        echo -e "\033[32m即将为您卸载所有组件... \033[0m"
        sleep 3s;
        rm -rf /lib/systemd/system/frpc.service
        rm -rf /frp/frpc
        rm -rf /frp/frpc.ini
        sleep 3s;
        echo -e "\033[32m请手动重启服务器 \033[0m"
    else
    echo -e "\033[1;5;31m 输入错误，请重新执行脚本！！！ \033[0m";
    exit;
    fi

elif [[ ${arch} == 'armhf' ]] ;then
echo -e "\033[32m   正在加载脚本请稍候... \033[0m"
sleep 3s;
echo
clear
echo -e "\033[32m   —— —— —— —— —— —— —— —— —— —— —— \033[0m"
echo -e "\033[32m |欢迎使用玩客云专用frpc一键配置脚本|\033[0m"
echo -e "\033[32m |    正在加载脚本，请稍后...       |\033[0m"
echo -e "\033[32m |      只适用于armv7架构           | \033[0m"
echo -e "\033[32m |      请勿重复安装！！！          |\033[0m"
echo -e "\033[32m |       ----author:云梦            |\033[0m"
echo -e "\033[32m   —— —— —— —— —— —— —— —— —— —— —— \033[0m"
read -p "如需安装安装frpc请输入1，如编辑frpc配置文件请输入2，运行frpc请输入3，卸载frpc请输入4:"  SIGN
if [ "$SIGN" = "1" ];then
        echo -e "\033[32m正在为您下载压缩包请稍后...\033[0m"
        sleep 3s;
        #下载客户端 客户端配置文件 服务文件
        wget -N --no-check-certificate https://download.fnmqs.work/frpc/frpc_linux_armhf.tar.gz
        echo -e "\033[32m已下载好压缩包请稍后...\033[0m"
        sleep 1s;
        echo -e "\033[32m正在解压中...\033[0m"
        sleep 1s;
        #解压资源 
        tar -zxvf frpc_linux_armhf.tar.gz
        echo -e "\033[32m 解压成功，清理无用文件中... \033[0m"
        #删除无用资源
        rm -rf frpc_linux_armhf.tar.gz
        echo -e "\033[32m正在创建frp运行目录中...\033[0m"
        sleep 1s;
        #创建/frp目录
        mkdir /frp
        echo -e "\033[32m创建成功！正在移动文件到新的目录\033[0m"
        sleep 1s;
        #将客户端移动至指定目录
        mv frpc /frp
        #将客户端配置文件移动至指定目录
        mv frpc.ini /frp
        #将服务文件移动至服务文件夹
        mv frpc.service /lib/systemd/system
    elif [ "$SIGN" == "2" ];then
        echo -e "\033[32m编辑后请保存，正在加载中... \033[0m"
        sleep 2s;
        cd /frp
        nano frpc.ini
    elif [ "$SIGN" == "3" ];then
        echo -e "\033[32m正在启动frpc... \033[0m"
        echo -e "\033[32m正在设置文件权限... \033[0m"
        chmod -R 777 /frp
        sleep 3s;
        #重载服务
        systemctl daemon-reload
        #设置开机自动启动
        sudo systemctl enable frpc
        #开启
        sudo systemctl start frpc
        sleep 3s
        echo -e "\033[32m启动成功！ \033[0m"
    elif [ "$SIGN" == "4" ];then
        echo -e "\033[32m即将为您卸载所有组件... \033[0m"
        sleep 3s;
        rm -rf /lib/systemd/system/frpc.service
        rm -rf /frp/frpc
        rm -rf /frp/frpc.ini
        sleep 3s;
        echo -e "\033[32m请手动重启服务器 \033[0m"
    else
    echo -e "\033[1;5;31m 输入错误，请重新执行脚本！！！ \033[0m";
    exit;
    fi
else
echo "您的服务器架构是${arch},不支持安装frpc"
fi